zabbix_export:
  version: '7.2'
  template_groups:
    - uuid: 2713f55b33ec45e095f6a0ed21764e39
      name: 'Makaka Group 123'
  templates:
    - uuid: e24244cc9f2b427894d1031c7d033f5e
      template: 'qWeRtY12345 666'
      name: 'qWeRtY12345 666'
      description: 'This is a test template'
      groups:
        - name: 'Makaka Group 123'
      discovery_rules:
        - uuid: dd280ec0bb164ceb8eca2caeb220807f
          name: 'LLD name UPDATED'
          type: TRAP
          key: trap
          allowed_hosts: '{HOST.HOST}'
          lifetime: 1d
          enabled_lifetime_type: DISABLE_AFTER
          enabled_lifetime: 6h
          description: 'AAAA UUU AAAA'
          lld_macro_paths:
            - lld_macro: '{#MONKEY}'
              path: $.see.monkey.do
          preprocessing:
            - type: STR_REPLACE
              parameters:
                - aaa
                - bbb
          overrides:
            - name: SMOKEN!
              step: '1'
              filter:
                conditions:
                  - macro: '{#AAAAA}'
                    value: '\\u0[1-9]'
                  - macro: '{#BBBBB}'
                    value: '^[1-9]+'
                    operator: NOT_MATCHES_REGEX
              operations:
                - operator: NOT_EQUAL
                  value: money
                  discover: DISCOVER
                  status: DISABLED
                  delay: '4m;55s/1-5,00:10-22:22'
                  history: 12d
                  trends: 112d
                  tags:
                    - tag: AAA
                      value: BBB
                    - tag: CCC
                      value: DDD
                - operationobject: HOST_PROTOTYPE
                  value: PPP
                  discover: DISCOVER
                  status: ENABLED
                  tags:
                    - tag: UUU
                      value: YYY
                    - tag: WWW
                      value: GGG
                  templates:
                    - name: qWeRtY12345
                  inventory_mode: AUTOMATIC
      tags:
        - tag: '123'
          value: '456'
        - tag: tag
          value: shwag
      macros:
        - macro: '{$666}'
          value: '666'
        - macro: '{$900}'
          value: '900'
        - macro: '{$REGULAR}'
          value: macro
        - macro: '{$SECRET}'
          value: secret
        - macro: '{$VAULT}'
          type: VAULT
          value: 'macro/path:key'
      valuemaps:
        - uuid: a6f487e2c14e4aa7b5fa18d73e1b9b22
          name: 'UUUUU => AAAAA'
          mappings:
            - value: uuuuu
              newvalue: aaaaa
            - value: aaaaa
              newvalue: uuuuu
            - type: GREATER_OR_EQUAL
              value: '5'
              newvalue: '6'
            - type: LESS_OR_EQUAL
              value: '6'
              newvalue: '5'
            - type: IN_RANGE
              value: '1E-2 - 1E2'
              newvalue: Monday
